Bug 20372 - Correct toolbar markup on some pages
Summary: Correct toolbar markup on some pages
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-12 12:51 UTC by Owen Leonard
Modified: 2018-04-24 08:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20372: Correct toolbar markup on some pages (4.40 KB, patch)
2018-03-12 13:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20372: Correct toolbar markup on some pages (5.31 KB, patch)
2018-03-12 13:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20372: Correct toolbar markup on some pages (5.37 KB, patch)
2018-03-12 13:34 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20372: Correct toolbar markup on some pages (5.44 KB, patch)
2018-03-12 15:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-03-12 12:51:42 UTC
There are a few instances of div#toolbar which contain markup which isn't consistent with most other examples. This can cause problems with CSS styles.
Comment 1 Owen Leonard 2018-03-12 13:08:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-03-12 13:20:42 UTC
Created attachment 72682 [details] [review]
Bug 20372: Correct toolbar markup on some pages

Differences in markup around some toolbars has the potential to create
CSS styling problems. This patch changes the markup to be consistent
with other instances of <div id="toolbar"></div>

To test, apply the patch and view these pages:

- Course reserves (main page)
- Course reserves -> Course detail page
- Reports -> Dictionary

On each of these pages the toolbar should look correct.
Comment 3 Claire Gravely 2018-03-12 13:34:05 UTC
Created attachment 72687 [details] [review]
Bug 20372: Correct toolbar markup on some pages

Differences in markup around some toolbars has the potential to create
CSS styling problems. This patch changes the markup to be consistent
with other instances of <div id="toolbar"></div>

To test, apply the patch and view these pages:

- Course reserves (main page)
- Course reserves -> Course detail page
- Reports -> Dictionary

On each of these pages the toolbar should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Katrin Fischer 2018-03-12 15:32:46 UTC
Created attachment 72708 [details] [review]
Bug 20372: Correct toolbar markup on some pages

Differences in markup around some toolbars has the potential to create
CSS styling problems. This patch changes the markup to be consistent
with other instances of <div id="toolbar"></div>

To test, apply the patch and view these pages:

- Course reserves (main page)
- Course reserves -> Course detail page
- Reports -> Dictionary

On each of these pages the toolbar should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-19 18:31:52 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-04-24 01:33:31 UTC
Awesome work all, backported to stable for 17.11.05
Comment 7 Fridolin SOMERS 2018-04-24 08:29:05 UTC
Pushed to 17.05.x for 17.05.11